Bug 140533 - Easy ISO page, "next page" arrows don't work.
Easy ISO page, "next page" arrows don't work.
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Robin Norwood
Max Spevack
Depends On:
Blocks: 123188
  Show dependency treegraph
Reported: 2004-11-23 09:56 EST by Max Spevack
Modified: 2007-04-18 13:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-22 13:26:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Max Spevack 2004-11-23 09:56:48 EST
Description of problem:

From the URL given, the Easy ISO page where you can view all the
channels, clicking on the "next page" or "last page" arrows doesn't do

These arrows seem to be working in other places, like viewing errata.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  See URL, desc.

Customers have complained, so high priority.
Comment 1 Robin Norwood 2004-11-23 10:39:10 EST
The list actually does show the ISOs it is supposed to - the problem
is we were collecting the 'number of channels' before we filtered out
the channels the user doesn't have access to.  I've fixed this, and
also updated the style to use the same style as we do for the other
channel lists (ie, no '1-x of x' and pager buttons).  All the channels
should be listed on one page now.

Test plan:
1) Create a new account.
2) Grant some 'rh-advanced-server' slots to that account.
3) Go to 'Channels->Easy ISOs->Relevant' (and 'All')
  Notice that there are no pager buttons on this list, and all of the
channels the user has permission to download content from are here.
4) The same rendering code also renders the normal channel list and
'manage software channels' list of channels.  Check to make sure
nothing nasty has happened to those lists.
Comment 2 Robin Norwood 2004-11-23 10:40:29 EST
This is in the rhn360 branch, will be backported to HEAD eventually.
Comment 3 Chip Turner 2004-12-01 13:49:30 EST
mass change to ON_QA from QA push
Comment 4 Max Spevack 2004-12-01 15:33:18 EST
The initial error case still applies.

<insert snarky comment here>
Comment 5 Robin Norwood 2004-12-02 09:15:46 EST
Drat.  This change was made in RELEASE-3_6_0, but never ported to
HEAD.  I've done so now, and it should go out in the next QA push.
Comment 6 Robin Norwood 2004-12-02 16:27:56 EST
Moved to QA as part of today's push.
Comment 7 Max Spevack 2004-12-03 11:05:13 EST
Fix involved listing everything on one page, same way the channels are

Looks good.
Comment 8 Todd Warner 2005-03-22 13:26:50 EST

Note You need to log in before you can comment on or make changes to this bug.